@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background-color: #081b29;
    color: white;
}

.header {
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 10%;
    background: transparent;
    display: flex;
    justify-content: space-between;
}

.logo {
    font-size: 30px;
    text-decoration: none;
    font-weight: 500;
    color: white;
}

.navbar {
    padding-top: 10px;
}

.menu-toggle,
.overlay,
.close-icon {
    display: none;
}

.navbar a {
    font-size: 20px;
    text-decoration: none;
    font-weight: 400;
    color: white;
    margin-left: 40px;
    transition: .3s;
}

.menu-buttons{
    color: white;
    text-decoration: none;
    font-size: 25px;
    margin: 15px 40px 15px 40px;
}

#inactive{
    color: #6e6868  ;
}

.navbar a.normal-buttons:hover,
.navbar a.active {
    color: rgb(14, 148, 226);
    transform: translateY(10px);
}

.login_form_container {
    position: relative;
    width: 100%;
    max-width: 400px;
    /* Adjust the maximum width as needed */
    height: 75vh;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    /* Center horizontally */
    background: #081b29;
    border-radius: 50px 5px;
    overflow: hidden;
    padding: 20px;
    
    /* Add padding to the container */
    box-sizing: border-box;
    /* Include padding in the width and height */
}


.login_form_container::before {
    position: absolute;
    width: 170%;
    height: 170%;
    content: '';
    background-image: conic-gradient(transparent, transparent, transparent, #7801ff);
    animation: rotate_border 6s linear infinite;
}

.login_form_container::after {
    position: absolute;
    width: 170%;
    height: 170%;
    content: '';
    background-image: conic-gradient(transparent, transparent, transparent, rgb(14, 148, 226));
    animation: rotate_border 6s linear infinite;
    animation-delay: -3s;
}

@keyframes rotate_border {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.login_form {
    position: absolute;
    content: '';
    background-color: #0c1022;
    border-radius: 50px 5px;
    inset: 5px;
    padding: 125px 40px;
    z-index: 10;
    color: rgb(14, 148, 226);
    text-align: center;
}

h2 {
    font-size: 40px;
    font-weight: 600;
    text-align: center;
}

.input_group {
    margin-top: 40px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: start;
}

#email {
    width: 95%;
    height: 30px;
    background: transparent;
    border: none;
    outline: none;
    border-bottom: 1px solid rgb(14, 148, 226);
    font-size: 20px;
    padding-left: 10px;
    color: rgb(14, 148, 226);
}

#password {
    width: 95%;
    height: 30px;
    background: transparent;
    border: none;
    outline: none;
    border-bottom: 1px solid rgb(14, 148, 226);
    font-size: 20px;
    padding-left: 10px;
    color: rgb(14, 148, 226);
}

::placeholder {
    font-size: 15px;
    color: #00ccff52;
    letter-spacing: 1px;
}

.fa {
    font-size: 20px;
}

#login_button {
    position: relative;
    width: 300px;
    height: 40px;
    transition: 1s;
    margin-top: 70px;
}

#login_button a {
    position: absolute;
    width: 100%;
    height: 100%;
    text-decoration: none;
    z-index: 10;
    cursor: pointer;
    font-size: 22px;
    letter-spacing: 2px;
    border: 1px solid rgb(14, 148, 226);
    border-radius: 50px;
    background-color: #0c1022;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
}

#login_button a:hover {
    background-color: rgb(14, 148, 226);
    color: white;
}

.fotter {
    margin-top: 30px;
    display: flex;
    justify-content: space between;
}

.fotter a {
    text-decoration: none;
    cursor: pointer;
    font-size: 18px;
}

.glowIcon {
    text-shadow: 0 0 10px #00ccff;
}

.input_group input:focus~label,
.input_group input:valid~label {
    top: -20px;
    left: 0;
    color: #000;
    font-size: 12px;
}

.extra {
    margin-left: 10px;
}

#sign {
    margin-left: 110px;
    color: #0e94e2;
}

/* Media query for small screens (e.g., mobile devices) */
@media screen and (max-width: 768px) {
    .header {
        padding: 10px;
    }

    .navbar {
        display: none;
        /* Hide the navbar */
    }

    #menu-toggle {
        display: block;
        font-size: 24px;
        cursor: pointer;
    }

    #overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.7);
        z-index: 20;
    }

    #close-icon {
        position: fixed;
        top: 20px;
        right: 20px;
        font-size: 24px;
        cursor: pointer;
        z-index: 21;
    }

    .overlay .nav {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: absolute;
        background: #081b29;
        padding: 10px;
        border-radius: 10px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 22;
    }

    .nav {
        flex-direction: column;
        align-items: center;
        padding: 10px;
    }

    .show-menu #overlay {
        display: block;
    }

    .login_form_container {
        max-height: 550px;
        /* Remove max-height for smaller screens */
    }
}

/* Media query for medium-sized screens */
@media screen and (min-width: 769px) and (max-width: 1024px) {
    .login_form_container {
        padding: 0;
        max-height: 650px;
        /* Remove max-height for smaller screens */
    }
}

/* Media query for larger screens */
@media screen and (min-width: 1025px) {}